#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#  main.py
#  
#  Copyright 2017 Daniel Marsee <rdmarsee@gmail.com>
#  
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.
#  
#  

program_title = "DoIt!"
program_version = "0.0.5"

splash_msg = program_title + "\nTime Management Software\nCopyright 2017 Daniel Marsee\nver " + program_version + '\n'
print(splash_msg)
print(program_version == "0.0.5")

def main(args):
    return 0
# Start with a blank list
roster = []
# Add tasks to the roster
roster.append('priority2')
roster.append('priority1')
roster.append('priority3')
# Note that in the real program, user input will be used instead

# Sort by priority
length = len(roster)
roster.sort()
for task in roster:
	print(task)
print('\n')
#print('\n' + roster[0] + '\n' + roster[1] + '\n' + roster[2] + '\n')
print("There are " + str(length) + " items.\n")

timer = 5
rank = 1
for task in roster:
	print(str(rank) + " " + task + " has " + str(timer) + " minutes left")
	timer = timer * 2
	rank = rank + 1
	
if __name__ == '__main__':
    import sys
    sys.exit(main(sys.argv))

